# $Revision: 1.10 $, $Date: 2009/11/27 02:05:11 $
Summary:	Galago daemon
Summary(pl.UTF-8):	Demon Galago
Name:		galago-daemon
Version:	0.5.1
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.galago-project.org/files/releases/source/galago-daemon/%{name}-%{version}.tar.gz
# Source0-md5:	fdb81f938f86f380b127158ebb542279
URL:		http://www.galago-project.org/
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.12.1
BuildRequires:	libgalago-devel >= 0.5.1
BuildRequires:	pkgconfig
Requires:	dbus >= 0.91
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Galago "presence" daemon is the center of all presence transactions
for Galago. This service is automatically launched by D-BUS when
needed.
    
%description -l pl.UTF-8
Demon stanu obecności Galago jest centrum wszystkich transakcji Galago.
Usługa ta jest w razie potrzeby automatycznie uruchamiana przez D-BUS.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libexecdir}/galago-daemon
%{_datadir}/dbus-1/services/*.service
%{_sysconfdir}/dbus-1/system.d/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/galago-daemon.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: galago-daemon.spec,v $
Revision 1.10  2009/11/27 02:05:11  sparky
- BR: automake

Revision 1.9  2007/02/24 13:32:11  megabajt
- updated to 0.5.1

Revision 1.8  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.6  2006/11/05 11:41:09  twittner
- better commitlog for previous commit

Revision 1.5  2006/11/05 11:34:15  twittner
- restored %%{_libexecdir}/galago-daemon (thnx to glen)

Revision 1.4  2006/11/05 09:18:10  twittner
- don't glob whole %%{_libdir} - it contains debug subdir.
  which should go into debuginfo subpackage

Revision 1.3  2006/08/13 16:08:25  freetz
- rel.2 for rebuild with new dbus

Revision 1.2  2006/07/05 17:31:16  freetz
- 0.5.0, updated deps

Revision 1.1  2005/11/19 18:32:11  freetz
- initial
